# TELTCSERVER - Retro Telnet Chat Server

A lightweight telnet chat server designed with retro computers in mind. Perfect for your Commodore 64, ZX Spectrum, Amiga, or any other vintage computer with telnet capabilities!

## Features

- Multi-room chat system
- Works with ASCII-based terminals
- Compatible with vintage computers
- User authentication system
- Room management
- Admin controls
- Rate limiting
- Ban system

## Designed for Retro

TELTCSERVER is specifically designed to work with older computers and terminals. It uses:

- Simple ASCII characters
- 40-column display support
- Minimal bandwidth requirements
- Basic telnet protocol
- No fancy graphics or colors

## Security Notice

This is a fun project for retro computing enthusiasts. Please note:

- Messages are NOT encrypted
- Passwords are hashed but transmitted in plaintext
- No SSL/TLS support
- Intended for hobby use only
- Do not use for sensitive communications

## Getting Started

1. Install Python 3.6 or higher
2. Run the server: python main.py
3. Connect using any telnet client
4. Default admin credentials: admin/admin (change these!)

## Commands

Basic commands:

- /help - Show available commands
- /login - Log into your account
- /register - Create new account
- /rooms - List chat rooms
- /join - Enter a chat room

Admin commands available after login with admin privileges.

## Community

This is a hobby project aimed at retro computing enthusiasts. Feel free to:

- Share with other vintage computer fans
- Modify for your needs
- Host for your retro computing group
- Connect using your favorite old machine

## Contributing

Contributions welcome! Keep in mind the project's focus on retro compatibility.

## License

MIT License - See LICENSE file for details

Remember: This is for fun and educational purposes. Enjoy chatting like it's 1985!
